## HdyValueObject HdyValueObject — An object representing a GValue. |

## Functions

HdyValueObject * | hdy_value_object_new ()
HdyValueObject * | hdy_value_object_new_collect ()
HdyValueObject * | hdy_value_object_new_string ()
HdyValueObject * | hdy_value_object_new_take_string ()
const GValue * | hdy_value_object_get_value ()
void | hdy_value_object_copy_value ()
const gchar * | hdy_value_object_get_string ()
gchar * | hdy_value_object_dup_string ()

## Properties

GValue * | value | Read / Write / Construct Only

## Types and Values

#define | HDY_TYPE_VALUE_OBJECT
| HdyValueObject

## Object Hierarchy

        GObject
        ╰── HdyValueObject

## Description

The HdyValueObject object represents a GValue, allowing it to be used with GListModel.

## Functions

### hdy_value_object_new ()

    HdyValueObject *
    hdy_value_object_new (const GValue *value);

Create a new HdyValueObject.

#### Parameters

value | the GValue to store |

#### Returns

a new HdyValueObject

Since: 0.0.8

### hdy_value_object_new_collect ()

    HdyValueObject *
    hdy_value_object_new_collect (GType type,
                                  ...);

Creates a new HdyValueObject. This is a convenience method which uses the `G_VALUE_COLLECT()` macro internally.

[skip]

#### Parameters

type | the GType of the value |
... | the value to store |

#### Returns

a new HdyValueObject

Since: 0.0.8

### hdy_value_object_new_string ()

    HdyValueObject *
    hdy_value_object_new_string (const gchar *string);

Creates a new HdyValueObject. This is a convenience method to create a HdyValueObject that stores a string.

[skip]

#### Parameters

string | the string to store. | [transfer none]

#### Returns

a new HdyValueObject

Since: 0.0.8

### hdy_value_object_new_take_string ()

    HdyValueObject *
    hdy_value_object_new_take_string (gchar *string);

Creates a new HdyValueObject. This is a convenience method to create a HdyValueObject that stores a string taking ownership of it.

[skip]

#### Parameters

string | the string to store. | [transfer full]

#### Returns

a new HdyValueObject

Since: 0.0.8

### hdy_value_object_get_value ()

    const GValue *
    hdy_value_object_get_value (HdyValueObject *value);

Return the contained value.

#### Parameters

value | the HdyValueObject |

#### Returns

the contained GValue.

[transfer none]

Since: 0.0.8

### hdy_value_object_copy_value ()

    void
    hdy_value_object_copy_value (HdyValueObject *value,
                                 GValue *dest);

Copy data from the contained GValue into `dest` .

#### Parameters

value | the HdyValueObject |
dest | GValue with correct type to copy into |

Since: 0.0.8

### hdy_value_object_get_string ()

    const gchar *
    hdy_value_object_get_string (HdyValueObject *value);

Returns the contained string if the value is of type G_TYPE_STRING.

#### Parameters

value | the HdyValueObject |

#### Returns

the contained string.

[transfer none]

Since: 0.0.8

### hdy_value_object_dup_string ()

    gchar *
    hdy_value_object_dup_string (HdyValueObject *value);

Returns a copy of the contained string if the value is of type G_TYPE_STRING.

#### Parameters

value | the HdyValueObject |

#### Returns

a copy of the contained string.

[transfer full]

Since: 0.0.8

## Types and Values

### HDY_TYPE_VALUE_OBJECT

    #define HDY_TYPE_VALUE_OBJECT (hdy_value_object_get_type())

### HdyValueObject

    typedef struct _HdyValueObject HdyValueObject;

## Property Details

### The `“value”` property

      “value”                    GValue *

The contained value.

Owner: HdyValueObject

Flags: Read / Write / Construct Only